Subject: Re: bug#56345: 29.0.50; [PATCH] Add column hiding to tabulated-list

From: Thuna <[email-masked]>
Date: Wed, 07 Sep 2022 14:50:46 +0200

> OK, I can understand this as being used in a setup function -- but I
> doubt that many users would want to interactively want to remove a
> column from the current display.

I can't claim to know how many people would want it, but I can give an
example of when it's useful: In the specific package I wrote this patch
for, I list information about youtube videos.  The columns `channel ID'
and `video ID' are vital, but usually unnecessary and take space.  I
have these set in `tabulated-list-format' as hidden by default, so that
the user can choose to see them if they wish to.  Using this, I have to
query for the videos only once, and then tabulated-list-mode decides
what it wants to display on its own.